from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from django.contrib.auth.models import User
from comicsporn.models import Style, UserProfile, Comic_block, Comic
from django.utils.translation import ugettext as _

admin.site.register(Style)

class UserProfileInline(admin.StackedInline):
    model = UserProfile
    can_delete = False
    verbose_name_plural = _('Users profiles')

class UserAdmin(UserAdmin):
    inlines = (UserProfileInline, )

admin.site.unregister(User)
admin.site.register(User, UserAdmin)

class Comic_blockInline(admin.TabularInline):
    model = Comic.blocks.through
    extra = 10

class ComicAdmin(admin.ModelAdmin):
    fieldsets = [
		(_('Title'),	{'fields': ['title']}), 
		(_('Online'),	{'fields': ['is_online']}), 
		(_('Comic block'),	{'fields': ['blocks']}),
	]
    inlines = [
		Comic_blockInline,
	]

admin.site.register(Comic_block)

admin.site.register(Comic)
